# Interface PlayPlatform

All Superinterfaces:
  `Named, Platform`

@Incubating public interface PlayPlatform extends Platform
Defines and configures a Play Framework environment including versions of Play, Scala and Java.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`JavaPlatform`
`getJavaPlatform()`
Version of Java Runtime to use.
`String`
`getPlayVersion()`
Version of Play Framework to use
`ScalaPlatform`
`getScalaPlatform()`
Version of Scala Runtime to use.

### Methods inherited from interface Platform

`getDisplayName, getName`

## Method Details

### getPlayVersion

String getPlayVersion()
Version of Play Framework to use

Returns:
  version of the Play Framework

### getScalaPlatform

ScalaPlatform getScalaPlatform()
Version of Scala Runtime to use.

Returns:
  version of the Scala runtime

### getJavaPlatform

JavaPlatform getJavaPlatform()
Version of Java Runtime to use.

Returns:
  version of the Java runtime